Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.driver	(revision 704)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.driver	(revision 705)
@@ -17,31 +17,34 @@
     ##--Variables used by OPA --
 
-    # cexper experience name for vairmer format
-    # ln_rstart boolean term for restart (true or false)
-    # nrstdt control of the time step (0, 1 or 2)
-    # nit000 number of the first time step
-    # nitend number of the last time step
-    # ndate0 initial calendar date aammjj
-    # nleapy Leap year calendar (1) or not (0), or 360 days calendar (30)
-    # nstock frequency of restart file
-    # nwrite frequency of OUTPUT file
-    # nmsh  =1 create a mesh file (coordinates, scale factors, masks)
-    # nwrihf frequency of HF OUTPUT file
-    # rdt time step in seconds (coming from namelist)
+    # cn_exp    experience name
+    # nn_it000  number of the first time step
+    # nn_itend  number of the last time step
+    # nn_date0  initial calendar date yymmdd (used if  nn_rstctl=1)
+    # nn_leapy  Leap year calendar (1) or not (0), or 360 days calendar (30)
+    # nn_stock  frequency of creation of a restart file (modulo referenced to 1)
+    # nn_write  frequency of write in the output file   (modulo referenced to nn_it000)
+    # ln_rstart start from rest (F) or from a restart file (T)
+    # nn_rstctl restart control = 0 nn_it000 is not compared to the restart file value
+    #                           = 1 use nn_date0 in namelist (not the value in the restart file)
+    #                           = 2 calendar parameters read in the restart file
+    # nn_msh    =1 create a mesh file (coordinates, scale factors, masks)
+    # rn_rdt    time step in seconds for the dynamics (and tracer if nacc=0)   ==> 5760 (coming from namelist)
+    # nn_prg    time-step frequency of gap print in model output
     # nf_ptr_wri frequency of zonal means and transport output
 
-    PAT_CEXPER=$( supergrep cexper     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NIT000=$( supergrep nit000     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NITEND=$( supergrep nitend     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NWRITE=$( supergrep nwrite     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_CEXPER=$( supergrep cn_exp     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NIT000=$( supergrep nn_it000   ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NITEND=$( supergrep nn_itend   ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NDATE0=$( supergrep nn_date0   ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NLEAPY=$( supergrep nn_leapy   ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NSTOCK=$( supergrep nn_stock   ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NWRITE=$( supergrep nn_write   ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_RESTAR=$( supergrep ln_rstart  ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NRSTAR=$( supergrep nn_rstctl  ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NMSH=$(   supergrep nn_msh     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_PRG=$(    supergrep nn_prg ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
     PAT_NF_PTR=$( supergrep nf_ptr_wri ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_RESTAR=$( supergrep ln_rstart  ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NSTOCK=$( supergrep nstock     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NRSTAR=$( supergrep nrstdt     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NDATE0=$( supergrep ndate0     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NLEAPY=$( supergrep nleapy     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NMSH=$(   supergrep nmsh       ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-
-    ORCA_RDT=$( supergrep rdt  ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} | sed 's/ *rdt *=//' | sed 's/\. *//' )
+
+    ORCA_RDT=$( supergrep rn_rdt  ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} | sed 's/ *rdt *=//' | sed 's/\. *//' )
 
     # Period Length In Days between DateBegin and first day of calendar 0001 01 01
@@ -168,16 +171,16 @@
 
 
-    sed -e "s/${PAT_CEXPER}/       cexper=\"${config_UserChoices_JobName}\"/" \
-	-e "s/${PAT_NIT000}/       nit000=${ORCA_NIT000}/"                    \
-	-e "s/${PAT_NITEND}/       nitend=${ORCA_NITEND}/"                    \
-	-e "s/${PAT_NWRITE}/       nwrite=${ORCA_NWRITE}/"                    \
+    sed -e "s/${PAT_CEXPER}/       cn_exp=\"${config_UserChoices_JobName}\"/" \
+	-e "s/${PAT_NIT000}/       nn_it000=${ORCA_NIT000}/"                    \
+	-e "s/${PAT_NITEND}/       nn_itend=${ORCA_NITEND}/"                    \
+	-e "s/${PAT_NDATE0}/       nn_date0=${PeriodDateBegin}/"                \
+        -e "s%${PAT_NLEAPY}%       nn_leapy=${ORCA_NLEAPY}%"                    \
+	-e "s/${PAT_NSTOCK}/       nn_stock=${ORCA_NSTOCK}/"                    \
+	-e "s/${PAT_NWRITE}/       nn_write=${ORCA_NWRITE}/"                    \
 	-e "s/${PAT_RESTAR}/       ln_rstart=${ORCA_LRSTAR}/"                 \
-	-e "s/${PAT_NPRG}/         nprg=${ORCA_NWRITE}/"                      \
+	-e "s/${PAT_NRSTAR}/       nn_rstctl=${ORCA_NRSTDT}/"                    \
+	-e "s/${PAT_NMSH}/         nn_msh=${ORCA_NMSH}/"                        \
+	-e "s/${PAT_NPRG}/         nn_prg=${ORCA_NWRITE}/"                      \
 	-e "s/${PAT_NF_PTR}/       nf_ptr_wri=${ORCA_NWRITE}/"                \
-	-e "s/${PAT_NSTOCK}/       nstock=${ORCA_NSTOCK}/"                    \
-	-e "s/${PAT_NRSTAR}/       nrstdt=${ORCA_NRSTDT}/"                    \
-	-e "s/${PAT_NDATE0}/       ndate0=${PeriodDateBegin}/"                \
-        -e "s%${PAT_NLEAPY}%       nleapy=${ORCA_NLEAPY}%"                    \
-	-e "s/${PAT_NMSH}/         nmsh=${ORCA_NMSH}/"                        \
 	namelist > namelist.tmp
 
